package com.chinaitop.depot.system.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class UserLoginLog {
    // 用登录日志主键
    private String id;

    // 访问用户账号
    private String userName;

    // 登录用户名称
    private String realName;

    // 用户设备IP
    private String userIp;

    // 登陆时间
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inLoginTime;

    // 注销时间
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date outLoginTime;

    // 退出登录更新标识
    private String sessionId;

    // 1:库级入库登录,2:市平台入口登录
    private String loginType;

    /**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return user_name null
     */
    public String getUserName() {
        return userName;
    }

    /**
     * null
     * @param userName null
     */
    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    /**
     * null
     * @return real_name null
     */
    public String getRealName() {
        return realName;
    }

    /**
     * null
     * @param realName null
     */
    public void setRealName(String realName) {
        this.realName = realName == null ? null : realName.trim();
    }

    /**
     * null
     * @return user_ip null
     */
    public String getUserIp() {
        return userIp;
    }

    /**
     * null
     * @param userIp null
     */
    public void setUserIp(String userIp) {
        this.userIp = userIp == null ? null : userIp.trim();
    }

    /**
     * null
     * @return in_login_time null
     */
    public Date getInLoginTime() {
        return inLoginTime;
    }

    /**
     * null
     * @param inLoginTime null
     */
    public void setInLoginTime(Date inLoginTime) {
        this.inLoginTime = inLoginTime;
    }

    /**
     * null
     * @return out_login_time null
     */
    public Date getOutLoginTime() {
        return outLoginTime;
    }

    /**
     * null
     * @param outLoginTime null
     */
    public void setOutLoginTime(Date outLoginTime) {
        this.outLoginTime = outLoginTime;
    }

    /**
     * null
     * @return session_id null
     */
    public String getSessionId() {
        return sessionId;
    }

    /**
     * null
     * @param sessionId null
     */
    public void setSessionId(String sessionId) {
        this.sessionId = sessionId == null ? null : sessionId.trim();
    }

    /**
     * null
     * @return login_type null
     */
    public String getLoginType() {
        return loginType;
    }

    /**
     * null
     * @param loginType null
     */
    public void setLoginType(String loginType) {
        this.loginType = loginType == null ? null : loginType.trim();
    }
}