package com.chinaitop.depot.system.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.util.Date;

@Data
@ContentRowHeight(20) // 文本行高度
@HeadRowHeight(20) // 标题高度
@ColumnWidth(20) // 默认列宽度
public class UserLoginLogVO {

    // 访问用户账号
    @ExcelProperty(value = "访问用户账号")
    private String userName;

    // 登录用户名称
    @ExcelProperty(value = "登录用户名称")
    private String realName;

    // 用户设备IP
    @ExcelProperty(value = "用户设备IP")
    private String userIp;

    // 登陆时间
    @ExcelProperty(value = "登陆时间")
    private Date inLoginTime;

    // 注销时间
    @ExcelProperty(value = "注销时间")
    private Date outLoginTime;
}