package com.chinaitop.depot.system.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-11-04 11:15
 */
@Data
@ContentRowHeight(20) // 文本行高度
@HeadRowHeight(20) // 标题高度
@ColumnWidth(20) // 默认列宽度
public class UserOperationPageLogVO {
    // 页面名称
    @ExcelProperty(value = "页面名称")
    private String viewName;

    // 访问用户名称
    @ExcelProperty(value = "访问用户名称")
    private String realName;

    // 用户设备IP
    @ExcelProperty(value = "用户设备IP")
    private String userIp;

    // 访问页面时间
    @ExcelProperty(value = "访问页面时间")
    private Date visitPageTime;
}
