package com.chinaitop.depot.system.param;

import com.chinaitop.depot.common.PageParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-11-01 10:43
 */
@Getter
@Setter
public class UserLoginLogPageParam extends PageParam implements Serializable {
    private static final long serialVersionUID = -6912592363481954442L;
    // 登陆时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date inLoginTimeStart;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date inLoginTimeEnd;

    // 注销时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date outLoginTimeStart;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date outLoginTimeEnd;

    // 登录用户名称
    private String realName;
}
