package com.chinaitop.depot.tasks;

import com.chinaitop.depot.system.service.UserLoginLogService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 静态定时任务
 * @create 2024-11-01 9:42
 */
@Component
public class TaskRunning {
    @Resource
    private UserLoginLogService userLoginLogService;

    /**
     * 登录过期时间更新定时任务
     */
    @Scheduled(cron = "0 */1 * * * ?") //  每天10分钟执行
    public void outLoginLogRun() {
        userLoginLogService.selectOutLoginIsNull();
    }

}
