package com.chinaitop.depot.common;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-11-01 10:46
 */
@Getter
@Setter
public class PageParam implements Serializable {

    @Min(message = "当前页必须>=1", value = 1)
    private Integer pageNum;

    @Min(message = "每页条数必须>=1", value = 1)
    private Integer pageSize;
}
