package com.chinaitop.depot.system.param;

import com.chinaitop.depot.common.PageParam;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-11-04 11:01
 */
@Getter
@Setter
public class UserOperationPageLogParam extends PageParam implements Serializable {
    private static final long serialVersionUID = -388330557459206292L;

    // 页面名称
    private String viewName;
    // 访问用户名称
    private String realName;
    // 访问页面时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date visitPageTimeStart;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date visitPageTimeEnd;
}
