package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.UserInfo;
import com.chinaitop.depot.system.model.UserLoginLog;
import com.chinaitop.depot.system.param.UserLoginLogPageParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-10-31 15:37
 */
public interface UserLoginLogService {

    // 保存登录日志
    void saveData(HttpServletRequest request, UserInfo userInfo, String loginType);

    // 更新登录日志
    void updateData(HttpServletRequest request);

    // 查询过期登录人信息并更新退出时间
    void selectOutLoginIsNull();

    // 查询列表
    List<UserLoginLog> getPageList(UserLoginLogPageParam param);

    void export(String fileName, UserLoginLogPageParam param, HttpServletRequest request, HttpServletResponse response);
}
